package com.palmnest.service.wechat;

/**
 * 微信公共接口
 *
 * @author yubing
 * @since 2015-02-03
 */
public interface WeChatAccessManager {

	/**
	 * 根据接收到用户消息进行处理
	 *
	 * @param xmlMsg
	 * @return
	 * @throws Exception
	 */
	public String saveProcessing(String xmlMsg) throws Exception;

	/**
	 * 刷新平台中所有公众号的全局唯一票据
	 */
	public void updateAccessToken();

	/**
	 * 获取公众号的全局唯一票据
	 * 如果从Constants.CacheMap中获取失效，调用此方法取
	 *
	 * @param developId 公众号的原始ID
	 * @return access_token
	 */
	public String getAccessToken(String developId);

	/**
	 * 获取公众号的jsapi_ticket
	 * 从Constants.CacheMap中获取
	 *
	 * @param developId 公众号的原始ID
	 */
	public String getJsApiTicket(String developId);

	/**
	 * 通过外部接口获取公众号的全局唯一票据
	 */
	public void updateAccessTokenWithOuterUrl();
}
